import request from '../index'
const prefix = 'resource/customer'

export function getReviewNoticeList(data: any) {
  return request({
    url: `${prefix}/reviewNotice/listPage?limit=${data.limit}&offset=${data.offset}`,
    method: 'post',
    data,
  })
}

// 保存
export function saveReviewNotice(data: object) {
  return request({
    url: `${prefix}/reviewNotice/add`,
    method: 'post',
    data,
  })
}

// 编辑(发送至受检单位人员也调用该接口)
export function updateReviewNotice(data: object) {
  return request({
    url: `${prefix}/reviewNotice/update`,
    method: 'post',
    data,
  })
}

// 删除
export function deleteReviewNotice(data: object) {
  return request({
    url: `${prefix}/reviewNotice/delete`,
    method: 'post',
    data,
  })
}

export function exportFile(data: object) {
  return request({
    url: `${prefix}/reviewNotice/exportFile`,
    method: 'post',
    data,
  })
}
